OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP214

# StepAP214_AutoDesignPresentedItem Class Reference

`#include <StepAP214_AutoDesignPresentedItem.hxx>`

Inheritance diagram for StepAP214_AutoDesignPresentedItem:

[legend]

## Public Member Functions
Standard_EXPORT | StepAP214_AutoDesignPresentedItem ()
| Returns a AutoDesignPresentedItem .
virtual Standard_EXPORT void | Init (const Handle(StepAP214_HArray1OfAutoDesignPresentedItemSelect)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfAutoDesignPresentedItemSelect)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignPresentedItemSelect | Items () const
Standard_EXPORT StepAP214_AutoDesignPresentedItemSelect | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepAP214_HArray1OfAutoDesignPresentedItemSelect | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AutoDesignPresentedItem::StepAP214_AutoDesignPresentedItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AutoDesignPresentedItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_PresentedItem.

virtual Standard_EXPORT void StepAP214_AutoDesignPresentedItem::Init | ( | const Handle(StepAP214_HArray1OfAutoDesignPresentedItemSelect)& | aItems | ) | `[virtual]`

Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignPresentedItemSelect StepAP214_AutoDesignPresentedItem::Items | ( |  | ) | const

Standard_EXPORT StepAP214_AutoDesignPresentedItemSelect StepAP214_AutoDesignPresentedItem::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AutoDesignPresentedItem::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AutoDesignPresentedItem::SetItems | ( | const Handle(StepAP214_HArray1OfAutoDesignPresentedItemSelect)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfAutoDesignPresentedItemSelect StepAP214_AutoDesignPresentedItem::items`[private]`

The documentation for this class was generated from the following file:

- StepAP214_AutoDesignPresentedItem.hxx